Read User
curl --request GET \
--url https://api.example.com/user/{user_guid}import requests
url = "https://api.example.com/user/{user_guid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/user/{user_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"guid": "USR-00dfffb5-62f6-9865-91f4-9d90f",
"external_guid": "09-999-QWQW",
"external_user_guid": "09-999-QWQW",
"client_guid": "CLT-0858efd1-2d2e-6a5d-f2b5-c7dad42ef184",
"email": "richard@email.com",
"login_token": "cQQ380Ocyc049z6eRg--tz6Opshfxqz0T6rX2xaD2dwei5H...",
"first_name": "Richard",
"last_name": "Montague",
"phone": "8015559876",
"birthday": null,
"sex": 0,
"credit_score": null,
"zip_code": 12345,
"last_login": "2012-01-01",
"master_widget_url": "https://widgets.moneydesktop.com/raja/master?...",
"accounts_widget_url": "https://widgets.moneydesktop.com/raja/accounts?...",
"budgets_widget_url": "https://widgets.moneydesktop.com/raja/budgets?...",
"debts_widget_url": "https://widgets.moneydesktop.com/raja/debts?...",
"net_worth_widget_url": "https://widgets.moneydesktop.com/raja/net_worth?...",
"spending_widget_url": "https://widgets.moneydesktop.com/raja/spending?...",
"transactions_widget_url": "https://widgets.moneydesktop.com/raja/transactions?...",
"status": {
"status": 1,
"name": "ENABLED",
"message": ""
}
}
Users
Read User
Use this endpoint to read a user.
GET
/
user
/
{user_guid}
Read User
Read a single user instance based on
user_guid or external_user_guid.
Do not attempt to parse the
master_widget_url or any other URL provided in current or future SSO API response bodies. They are intended to be used as they are returned in the response. Their contents can change at any time.Path Parameters
string
The GUID or external GUID of the user to retrieve.
Query Parameters
string
required
Your API key.
string
required
The client GUID or external client GUID.
{
"guid": "USR-00dfffb5-62f6-9865-91f4-9d90f",
"external_guid": "09-999-QWQW",
"external_user_guid": "09-999-QWQW",
"client_guid": "CLT-0858efd1-2d2e-6a5d-f2b5-c7dad42ef184",
"email": "richard@email.com",
"login_token": "cQQ380Ocyc049z6eRg--tz6Opshfxqz0T6rX2xaD2dwei5H...",
"first_name": "Richard",
"last_name": "Montague",
"phone": "8015559876",
"birthday": null,
"sex": 0,
"credit_score": null,
"zip_code": 12345,
"last_login": "2012-01-01",
"master_widget_url": "https://widgets.moneydesktop.com/raja/master?...",
"accounts_widget_url": "https://widgets.moneydesktop.com/raja/accounts?...",
"budgets_widget_url": "https://widgets.moneydesktop.com/raja/budgets?...",
"debts_widget_url": "https://widgets.moneydesktop.com/raja/debts?...",
"net_worth_widget_url": "https://widgets.moneydesktop.com/raja/net_worth?...",
"spending_widget_url": "https://widgets.moneydesktop.com/raja/spending?...",
"transactions_widget_url": "https://widgets.moneydesktop.com/raja/transactions?...",
"status": {
"status": 1,
"name": "ENABLED",
"message": ""
}
}
⌘I

